/*--------------------------------------------------------------*/
/* ACM ICPC 2009-2010, NEERC                                    */
/* Northern Subregional Contest                                 */
/* St Petersburg, October 17, 2009                              */
/*--------------------------------------------------------------*/
/* Problem D. Dragon's Question                                 */
/*                                                              */
/* Original idea         Georgiy Korneev                        */
/* Problem statement     Dmitry Shtukenberg                     */
/* Testset               Georgiy Korneev                        */
/*--------------------------------------------------------------*/
/* Solution                                                     */
/*                                                              */
/* Author                Georgiy Korneev                        */
/*--------------------------------------------------------------*/
 
import java.util.*;
import java.io.*;

public class dragon_gk implements Runnable {
    static Scanner in;
    static PrintWriter out;

    public void run() {
        int n = in.nextInt();
        int d = in.nextInt();
        String ds = Integer.toString(d);
        if (ds.length() > n) {
            out.println("No solution");
        } else {
            out.print(ds);
            for (int i = 0; i < n - ds.length(); i++) {
                out.print("0");
            }
            out.println();
        }
    }

    public static void main(String[] args) throws Exception {        
        in = new Scanner(System.in);
        out = new PrintWriter(System.out);

        new dragon_gk().run();

        in.close();
        out.close();
    }
}
